Update an appointment for a lead
https://api.propexo.com/v1/events/appointments/leads/:event_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the event
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The date when the appointment will occur
Show 2 variants
The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)
The duration of the appointment, in minutes
Possible values: > 0
The Propexo unique identifier for the employee. Must have a role of LEASING_AGENT
Notes associated with the event
The Propexo unique identifier for the unit
The type of appointment. This is specific to Entrata and correlates to the types of calendar appointments available
Show 4 enum values
LEASING_APPOINTMENTSELF_GUIDED_TOURTOURVIRTUAL_TOURThe title associated with the event
Possible values: <= 50 characters
The raw status associated with the event
Show 4 enum values
COMPLETEDOPENREVIEWDENIEDThe priority of the appointment
Show 3 enum values
HIGHMEDIUMLOWResponse
Successful response
The ID of the job created to handle this operation
data objectrequired
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/events/appointments/leads/:event_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"appointment_date": "2024-07-29T15:51:28.071Z",
"appointment_time": "string",
"appointment_duration_minutes": 0,
"employee_id": "string",
"notes": "string",
"unit_id": "string",
"appointment_type": "LEASING_APPOINTMENT",
"title": "string",
"status": "COMPLETED",
"priority": "HIGH"
}'
{
"job_id": "string",
"data": {}
}